- Qt 5.15
- Qt 3D
- C++ Classes
- QInputAspect
- Qt 5.15.18 Reference Documentation

# QInputAspect Class

class Qt3DInput::QInputAspect

Responsible for creating physical devices and handling associated jobs. More...

Header: | #include <QInputAspect>
qmake: | QT += 3dinput
Since: | Qt 5.5
Inherits: | Qt3DCore::QAbstractAspect

This class was introduced in Qt 5.5.

- List of all members, including inherited members

## Public Functions

| QInputAspect(QObject *parent = nullptr)
QStringList | availablePhysicalDevices() const
QAbstractPhysicalDevice * | createPhysicalDevice(const QString &name)

## Detailed Description

QInputAspect is responsible for creating physical devices. It is also the object responsible establishing the jobs to run at a particular time from the current input setup.

## Member Function Documentation

### QInputAspect::QInputAspect(QObject *parent = nullptr)

Constructs a new QInputAspect with parent.

### QStringList QInputAspect::availablePhysicalDevices() const

Returns a list of all available physical devices.

### QAbstractPhysicalDevice *QInputAspect::createPhysicalDevice(const QString &name)

Create a physical device identified by name using the input device integrations present returns a `nullptr` if it is not found.

Note: Caller is responsible for ownership.